File
Get a file
GET
merchantApiKeymerchantTimestampmerchantNoncemerchantSignatureheader
X-API-KEY<token>Merchant API key (starts with upk_, also accepts api-key); signing headers are also required
header
X-Timestamp<token>Unix timestamp in seconds, within 300 seconds of server time
header
X-Nonce<token>Unique per request; cannot be reused with the same credential during the timestamp validity window
header
X-Signature<token>Hex HMAC-SHA256 signature (either letter case) of the method, full path, timestamp, nonce and body digest
fileId*stringFile details
application/json- response
id*stringFile ID (starts with file_)
purpose*string|nullfilename*stringFile name at upload
mime_type*stringValue in
"image/jpeg""image/png""application/pdf"size*integerSize in bytes
sha256*stringcreated_at*stringFormat
date-timecurl -X GET 'https://sandbox.getupp.net/api/v1/upload/string'Example Response
{ "id": "string", "purpose": "string", "filename": "string", "mime_type": "image/jpeg", "size": 0, "sha256": "string", "created_at": "2019-08-24T14:15:22Z"}